ARCSTAT(1)

NAME
arcstat - ARC Job Status

DESCRIPTION

  Usage:

    arcstat [OPTION...] [job ...]

The arcstat command is used for obtaining the status of jobs that have been submitted to Grid enabled resources.

  Brokering and filtering:

-C, --computing-element=ce
    only select jobs that were submitted to this computing element

-s, --status=statusstr
    only select jobs whose status is statusstr

-a, --all
    all jobs

-r, --rejectmanagement=URL
    skip jobs that are on a computing element with a given URL

  Output format modifiers:

-l, --long
    long format (more information)

-J, --json
    show status information in JSON format

  Behaviour tuning:

-S, --sort=order
    sort jobs according to jobid, submissiontime or jobname

-R, --rsort=order
    reverse sorting of jobs according to jobid, submissiontime or jobname

-u, --show-unavailable
    show jobs where status information is unavailable

-i, --jobids-from-file=filename
    a file containing a list of jobIDs

-j, --joblist=filename
    the file storing information about active jobs (default /build/nordugrid-arc-upLKRD/nordugrid-arc-7.0.0/debian/.debhelper/generated/_source/home/.arc/jobs.dat)

--no-authentication
    do not perform any authentication for opened connections

--x509-authentication
    perform X.509 authentication for opened connections

--token-authentication
    perform token authentication for opened connections

--systemca
    force using CA certificates configuration provided by OpenSSL

--gridca
    force using CA certificates configuration for Grid services (typically IGTF)

  Other actions:

-p, --print-jobids
    instead of the status only the IDs of the selected jobs will be printed

-P, --listplugins
    list the available plugins

  Application Options:

-h, --help
    Show help options

-z, --conffile=filename
    configuration file (default ~/.arc/client.conf)

-t, --timeout=seconds
    timeout in seconds (default 20)

-d, --debug=debuglevel
    FATAL, ERROR, WARNING, INFO, VERBOSE or DEBUG

-v, --version
    print version information

EXTENDED DESCRIPTION
The arcstat command gives the status of a job submitted to a ARC CE. The job can be referred to either by the jobid that was returned by arcsub(1) at submission time or by its jobname if the job description that was submitted contained a jobname attribute.

More than one jobid and/or jobname can be given. If several jobs were submitted with the same jobname the status of all those jobs are shown. If the --joblist option is used the list of jobs is read from a file with the specified filename. By specifying the --all option, the status of all active jobs will be shown.

By default arcstat presents job states as defined internally followed by middleware specific representation of job state in brackets. The following internal job states are defined:

Accepted - job accepted on cluster but not being processed yet

Preparing - job is in phase of preparing for submission to batch system

Submitting - communication with batch system in ongoing

Hold - job's processing is suspended dueto internal reason or user request

Queuing - job is passed to batch system but not being executed yet

Running - job being execcuted in batch system

Finishing - job in phase of post-execution procedures being run

Finished - job successfully completed all processing phases

Killed - job processing was interrupted by user request

Failed - job processing was interrupted due to detected failure

Deleted - job was removed from cluster (usually because it stayed there too long)

Other - middleware specific job state could not be adequately mappped to internal state

Those are also states which are used by arccat(1), arcclean(1), arcget(1), arckill(1), arcrenew(1), arcresume(1) to perform job filtering.

If the --long option is given more detailed information is shown.

Jobs can be sorted according to the jobid, submissiontime or jobname, either in normal or reverse order. By using the --sort or --rsort option followed by the desired ordering ('jobid', 'submissiontime' or 'jobname'), jobs will be sorted in normal or reverse order. Note that the options --sort and --rsort cannot be used at the same time.

The --computing-element option can be used to select or reject jobs at specific clusters. The --status option can be used to select jobs in a specific state. These options can be repeated several times. See arcstat(1) for possible state values.

Also in this case the --long option can be used to obtain more detailed information.

FILES

~/.arc/client.conf
    Some options can be given default values by specifying them in the ARC client configuration file. By using the --conffile option a different configuration file can be used than the default.

~/.arc/jobs.dat
    This a local database of the user's active jobs. When a job is successfully submitted it is added to database and when it is removed from the remote CE it is removed from this list. This database is used as the list of all active jobs when the user specifies the --all option to the various NorduGrid ARC user interface commands. By using the --joblist option a different file can be used than the default.

AUTHOR
ARC software is developed by the NorduGrid Collaboration (http://www.nordugrid.org), please consult the AUTHORS file distributed with ARC. Please report bugs and feature requests to http://bugzilla.nordugrid.org

COPYRIGHT
APACHE LICENSE Version 2.0

SEE ALSO
arccat(1), arcclean(1), arccp(1), arcget(1), arcinfo(1), arckill(1), arcls(1), arcmkdir(1), arcproxy(1), arcrenew(1), arcresume(1), arcrm(1), arcsub(1), arcsync(1), arctest(1)